{
  // Use IntelliSense to find out which attributes exist for C# debugging
  // Use hover for the description of the existing attributes
  // For further information visit https://github.com/OmniSharp/omnisharp-vscode/blob/master/debugger-launchjson.md
  "version": "0.2.0",
  "configurations": [
    {
      "name": ".NET Core Launch (web)",
      "type": "coreclr",
      "request": "launch",
      "preLaunchTask": "build",
      // If you have changed target frameworks, make sure to update the program path.
      //#### THIS MEANS YOU JOHNNY!  If the debugger fails this is the issue
      "program": "${workspaceFolder}/server/AyaNova/bin/Debug/netcoreapp3.1/AyaNova.dll",
      "args": [],
      "cwd": "${workspaceFolder}/server/AyaNova",
      "stopAtEntry": false,
      "internalConsoleOptions": "openOnSessionStart",
       // Enable launching a web browser when ASP.NET Core starts. For more information: https://aka.ms/VSCode-CS-LaunchJson-WebBrowser
       //this needs to be tweaked probably
       //https://github.com/OmniSharp/omnisharp-vscode/blob/master/debugger-launchjson.md#starting-a-web-browser
       "serverReadyAction": {
        "action": "openExternally",
        "pattern": "^\\s*Now listening on:\\s+(https?://\\S+)"                
    },
      // "launchBrowser": {
      //   "enabled": true,
      //   "args": "${auto-detect-url}/api/v8/",
      //   "windows": {
      //     "command": "cmd.exe",
      //     "args": "/C start http://localhost:7575/api/v8/"
      //   },
      //   "osx": {
      //     "command": "open"
      //   },
      //   "linux": {
      //     "command": "xdg-open"
      //   }
      // },
      "env": {
        "ASPNETCORE_ENVIRONMENT": "Development",
        "AYANOVA_JWT_SECRET": "UNLICENSED5G*QQJ8#bQ7$Xr_@sXfHq4",
        "AYANOVA_LOG_LEVEL": "Info",
        //"AYANOVA_LOG_LEVEL": "Debug",
        "AYANOVA_DEFAULT_LANGUAGE": "en",
        //LOCALE MUST BE en for Integration TESTING
        //"AYANOVA_PERMANENTLY_ERASE_DATABASE": "true",
        "AYANOVA_DB_CONNECTION": "Server=localhost;Username=postgres;Password=raven;Database=AyaNova;",
        "AYANOVA_USE_URLS": "http://*:7575;",
        "AYANOVA_FOLDER_USER_FILES": "c:\\temp\\RavenTestData\\userfiles",
        "AYANOVA_FOLDER_BACKUP_FILES": "c:\\temp\\RavenTestData\\backupfiles",
        "AYANOVA_METRICS_USE_INFLUXDB": "false"
      },
      "sourceFileMap": {
        "/Views": "${workspaceFolder}/Views"
      }
    },
    {
      "name": ".NET Core Attach",
      "type": "coreclr",
      "request": "attach",
      "processId": "${command:pickProcess}"
    }
  ]

  // "AYANOVA_DB_CONNECTION":"Server=localhost;Username=postgres;Password=raven;Database=ayanovadev",
  //"AYANOVA_LOG_LEVEL": "Info"
  //"AYANOVA_DB_CONNECTION":"Server=localhost;Username=postgres;Password=raven;Database=AyaNova",

  // "AYANOVA_PERMANENTLY_ERASE_DATABASE": "true",

  //Development system folders
  //"AYANOVA_FOLDER_USER_FILES": "c:\\temp\\RavenTestData\\userfiles",
  //"AYANOVA_FOLDER_BACKUP_FILES": "c:\\temp\\RavenTestData\\backupfiles",
}
